aboutsummaryrefslogtreecommitdiffstats
path: root/mail/postfix-policyd-weight/pkg-install
diff options
context:
space:
mode:
Diffstat (limited to 'mail/postfix-policyd-weight/pkg-install')
-rw-r--r--mail/postfix-policyd-weight/pkg-install34
1 files changed, 34 insertions, 0 deletions
diff --git a/mail/postfix-policyd-weight/pkg-install b/mail/postfix-policyd-weight/pkg-install
new file mode 100644
index 000000000000..f624005c3aa5
--- /dev/null
+++ b/mail/postfix-policyd-weight/pkg-install
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+if [ "$2" != "PRE-INSTALL" ]; then
+ exit 0
+fi
+
+USER=polw
+GROUP=${USER}
+
+if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
+ if pw groupadd ${GROUP} ; then
+ echo "Added group \"${GROUP}\"."
+ else
+ echo "Adding group \"${GROUP}\" failed..."
+ exit 1
+ fi
+fi
+
+if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
+ if pw useradd ${USER} -g ${GROUP} -h - \
+ -s "/sbin/nologin" -d "/nonexistent" \
+ -c "Policyd-weight Cache Owner"; \
+ then
+ echo "Added user \"${USER}\"."
+ else
+ echo "Adding user \"${USER}\" failed..."
+ exit 1
+ fi
+fi
+
+exit 0